Subject: Re: [net-next 1/3] psp: Support resetting statistics on a device

From: Willem de Bruijn <[email-masked]>
Date: Thu, 05 Mar 2026 09:25:37 -0500

Akhilesh Samineni wrote:
> On Tue, Mar 3, 2026 at 2:45 AM Willem de Bruijn
> <[email-masked]> wrote:
> >
> > Akhilesh Samineni wrote:
> > > Drivers may need to reset per-device PSP statistics to zero.
> >
> > The series does not include rationale why this may be needed.
> >
> > What makes PSP counters special in this regard?
> >
> 
> The PSP supports dynamic administrative states, allowing it to be
> enabled or disabled during runtime. Currently, statistics are
> persistent across these state transitions, which can lead to baseline
> drift and complicate telemetry analysis.

How is this dynamic enable/disable configured, and can stats reset be
part of that, rather than a separate API?
 
> This patch introduces a statistics reset mechanism to allow userspace
> to clear accumulated counters. This is essential for establishing a
> deterministic baseline when re-enabling the device, ensuring that
> performance metrics and error counters reflect only the current device
> state.